<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
Compare Method (IEdmMenu5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmMenu5 Interface : Compare Method (IEdmMenu5)

Visual Basic
C#
C++/CLI
Compares this IEdmMenu5 menu with another menu to see if they contain the same menu items.

# Syntax

Visual Basic |
--- | ---

    Function Compare( _
       ByVal poMenu As IEdmMenu5 _
    ) As System.Boolean

C# |
--- | ---

    System.bool Compare(
       IEdmMenu5 poMenu
    )

C++/CLI |
--- | ---

    System.bool Compare(
    &   IEdmMenu5^ poMenu
    )

#### Parameters

poMenu
  Menu

#### Return Value

True if the objects are equal, false if not

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: Success, but the objects are different (pbEqual returned false).

# See Also

####

IEdmMenu5 Interface
IEdmMenu5 Members

# Availability

Version 5.2 of SOLIDWORKS PDM Professional